# Class BasicScrollPaneUI.PropertyChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicScrollPaneUI.PropertyChangeHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  `BasicScrollPaneUI`

@Deprecated(since="17", forRemoval=true) public class BasicScrollPaneUI.PropertyChangeHandler extends Object implements PropertyChangeListener
Deprecated, for removal: This API element is subject to removal in a future version.
Property change handler. This class exists only for backward compatibility. All its functionality has been moved into Handler.

## Constructor Summary

Constructors
Constructor
Description
`PropertyChangeHandler()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a `PropertyChangeHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`propertyChange(PropertyChangeEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
This method gets called when a bound property is changed.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyChangeHandler

public PropertyChangeHandler()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a `PropertyChangeHandler`.

## Method Details

### propertyChange

public void propertyChange(PropertyChangeEvent e)
Deprecated, for removal: This API element is subject to removal in a future version.
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `e` - A PropertyChangeEvent object describing the event source and the property that has changed.